DEX Trades
Data Freshness & Historical Coverage
For data freshness and historical coverage, see Data Coverage by Chain; this endpoint follows it.
Access individual DEX trading transactions for a specific token. Shows detailed trade-by-trade data including trader labels, amounts, and prices.
API key for authentication
Request model for TGM dex-trades endpoint.
This endpoint provides all DEX trades for a specific token with optional filtering for smart money wallets only.
Blockchain chain
solanaPossible values: Token address
2zMMhcVQEXDtdE6vsFS7S7D5oUodfJHE8vd1gnBouauvReturns only the DEX Trades made by Smart Money wallets
falseAdditional filters to apply to the query.
{"action":"BUY","estimated_value_usd":{"min":1000},"include_smart_money_labels":["Whale","Smart Trader"],"token_amount":{"min":100}}Custom sort order to override the endpoint's default ordering.
Examples:
- [{"field": "block_timestamp", "direction": "DESC"}] - Sort by timestamp descending
- [{"field": "estimated_value_usd", "direction": "ASC"}] - Sort by estimated value ascending
- [{"field": "token_amount", "direction": "DESC"}] - Sort by token amount descending
TGM DEX trades data
Bad Request
Unauthorized
Payment Required
Forbidden
Not Found
Unprocessable Content
Too Many Requests
Internal Server Error
Bad Gateway
Service Unavailable
Gateway Timeout
POST /api/v1/tgm/dex-trades HTTP/1.1
Host: api.nansen.ai
apikey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 413
{
"chain": "solana",
"token_address": "2zMMhcVQEXDtdE6vsFS7S7D5oUodfJHE8vd1gnBouauv",
"only_smart_money": false,
"date": {
"from": "2025-07-07T00:00:00Z",
"to": "2025-07-14T23:59:59Z"
},
"pagination": {
"page": 1,
"per_page": 10
},
"filters": {
"action": "BUY",
"estimated_value_usd": {
"min": 1000
},
"include_smart_money_labels": [
"Whale",
"Smart Trader"
],
"token_amount": {
"min": 100
}
},
"order_by": [
{
"field": "block_timestamp",
"direction": "ASC"
}
]
}{
"data": [
{
"block_timestamp": "2025-05-01T12:00:00Z",
"transaction_hash": "0x61adb6da30853c5988f0204dd9f6e4abbc878e02c34030a4f707cf4ec3124bcb",
"trader_address": "0x28c6c06298d514db089934071355e5743bf21d60",
"trader_address_label": "High Gas Consumer",
"action": "BUY",
"token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"token_name": "USDC",
"token_amount": 1000,
"traded_token_address": "0x6b175474e89094c44da98b954eedeac495271d0f",
"traded_token_name": "DAI",
"traded_token_amount": 500,
"estimated_swap_price_usd": 1,
"estimated_value_usd": 1500.5
}
],
"pagination": {
"page": 1,
"per_page": 10,
"is_last_page": true
}
}Last updated
Was this helpful?